Skip to main content
GET
/
user
/
ongoing-matches
List the API key owner's ongoing matches
curl --request GET \
  --url https://teambattles.gg/api/v1/user/ongoing-matches \
  --header 'Authorization: Bearer <token>'
{
  "matches": [
    {
      "id": "<string>",
      "publishStatus": "<string>",
      "game": {
        "id": "<string>",
        "nameKey": "<string>"
      },
      "gameMode": "<string>",
      "creatorTeam": {
        "id": "<string>",
        "name": "<string>",
        "tag": "<string>",
        "avatarUrl": "<string>",
        "score": 0
      },
      "acceptedTeam": {
        "id": "<string>",
        "name": "<string>",
        "tag": "<string>",
        "avatarUrl": "<string>",
        "score": 0
      },
      "bestOf": 0,
      "teamSize": 0,
      "selectedMaps": [
        "<string>"
      ],
      "selectedObjectives": [
        "<string>"
      ],
      "winnerTeamId": "<string>",
      "scheduledAt": "<string>",
      "startedAt": "<string>",
      "completedAt": "<string>",
      "createdAt": "<string>",
      "matchType": "<string>",
      "platform": "<string>",
      "region": "<string>",
      "challengedTeam": {
        "id": "<string>",
        "name": "<string>",
        "tag": "<string>",
        "avatarUrl": "<string>",
        "score": 0
      },
      "leagueId": "<string>",
      "leagueSeasonId": "<string>"
    }
  ],
  "timestamp": "<string>"
}

Permission Required

This endpoint requires matches.user_matches.

User Scope

The user is always derived from the API key. The endpoint does not accept a userId parameter.

Authorizations

Authorization
string
header
required

Send your API key as: Authorization: Bearer tb_

Response

Ongoing matches for the API key owner.

Ongoing matches for the API key owner's active teams.

matches
object[]
required
timestamp
string
required